package com.mortals.xhx.module.favorites.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.favorites.model.FavoritesBusinesscardEntity;
/**
 * 收藏名片查询对象
 *
 * @author zxfei
 * @date 2024-12-10
 */
public class FavoritesBusinesscardQuery extends FavoritesBusinesscardEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 用户ID, */
    private Long userIdStart;

    /** 结束 用户ID, */
    private Long userIdEnd;

    /** 增加 用户ID, */
    private Long userIdIncrement;

    /** 用户ID,列表 */
    private List <Long> userIdList;

    /** 用户ID,排除列表 */
    private List <Long> userIdNotList;

    /** 开始 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏 */
    private Long bussinesscardIdStart;

    /** 结束 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏 */
    private Long bussinesscardIdEnd;

    /** 增加 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏 */
    private Long bussinesscardIdIncrement;

    /** 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏列表 */
    private List <Long> bussinesscardIdList;

    /** 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏排除列表 */
    private List <Long> bussinesscardIdNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 收藏时间 */
    private String favoriteTimeStart;

    /** 结束 收藏时间 */
    private String favoriteTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FavoritesBusinesscardQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FavoritesBusinesscardQuery> andConditionList;

    public FavoritesBusinesscardQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 用户ID,
     * @return userIdStart
     */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
     * 设置 开始 用户ID,
     * @param userIdStart
     */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
     * 获取 结束 用户ID,
     * @return $userIdEnd
     */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
     * 设置 结束 用户ID,
     * @param userIdEnd
     */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
     * 获取 增加 用户ID,
     * @return userIdIncrement
     */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
     * 设置 增加 用户ID,
     * @param userIdIncrement
     */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
     * 获取 用户ID,
     * @return userIdList
     */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
     * 设置 用户ID,
     * @param userIdList
     */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
     * 获取 用户ID,
     * @return userIdNotList
     */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
     * 设置 用户ID,
     * @param userIdNotList
     */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
     * 获取 开始 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @return bussinesscardIdStart
     */
    public Long getBussinesscardIdStart(){
        return this.bussinesscardIdStart;
    }

    /**
     * 设置 开始 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdStart
     */
    public void setBussinesscardIdStart(Long bussinesscardIdStart){
        this.bussinesscardIdStart = bussinesscardIdStart;
    }

    /**
     * 获取 结束 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @return $bussinesscardIdEnd
     */
    public Long getBussinesscardIdEnd(){
        return this.bussinesscardIdEnd;
    }

    /**
     * 设置 结束 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdEnd
     */
    public void setBussinesscardIdEnd(Long bussinesscardIdEnd){
        this.bussinesscardIdEnd = bussinesscardIdEnd;
    }

    /**
     * 获取 增加 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @return bussinesscardIdIncrement
     */
    public Long getBussinesscardIdIncrement(){
        return this.bussinesscardIdIncrement;
    }

    /**
     * 设置 增加 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdIncrement
     */
    public void setBussinesscardIdIncrement(Long bussinesscardIdIncrement){
        this.bussinesscardIdIncrement = bussinesscardIdIncrement;
    }

    /**
     * 获取 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @return bussinesscardIdList
     */
    public List<Long> getBussinesscardIdList(){
        return this.bussinesscardIdList;
    }

    /**
     * 设置 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdList
     */
    public void setBussinesscardIdList(List<Long> bussinesscardIdList){
        this.bussinesscardIdList = bussinesscardIdList;
    }

    /**
     * 获取 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @return bussinesscardIdNotList
     */
    public List<Long> getBussinesscardIdNotList(){
        return this.bussinesscardIdNotList;
    }

    /**
     * 设置 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdNotList
     */
    public void setBussinesscardIdNotList(List<Long> bussinesscardIdNotList){
        this.bussinesscardIdNotList = bussinesscardIdNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 收藏时间
     * @return favoriteTimeStart
     */
    public String getFavoriteTimeStart(){
        return this.favoriteTimeStart;
    }

    /**
     * 设置 开始 收藏时间
     * @param favoriteTimeStart
     */
    public void setFavoriteTimeStart(String favoriteTimeStart){
        this.favoriteTimeStart = favoriteTimeStart;
    }

    /**
     * 获取 结束 收藏时间
     * @return favoriteTimeEnd
     */
    public String getFavoriteTimeEnd(){
        return this.favoriteTimeEnd;
    }

    /**
     * 设置 结束 收藏时间
     * @param favoriteTimeEnd
     */
    public void setFavoriteTimeEnd(String favoriteTimeEnd){
        this.favoriteTimeEnd = favoriteTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public FavoritesBusinesscardQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public FavoritesBusinesscardQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public FavoritesBusinesscardQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public FavoritesBusinesscardQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public FavoritesBusinesscardQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public FavoritesBusinesscardQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  用户ID,
     * @param userId
     */
    public FavoritesBusinesscardQuery userId(Long userId){
        setUserId(userId);
        return this;
    }

    /**
     * 设置 开始 用户ID,
     * @param userIdStart
     */
    public FavoritesBusinesscardQuery userIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
        return this;
    }

    /**
     * 设置 结束 用户ID,
     * @param userIdEnd
     */
    public FavoritesBusinesscardQuery userIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
        return this;
    }

    /**
     * 设置 增加 用户ID,
     * @param userIdIncrement
     */
    public FavoritesBusinesscardQuery userIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
        return this;
    }

    /**
     * 设置 用户ID,
     * @param userIdList
     */
    public FavoritesBusinesscardQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
        return this;
    }

    /**
     * 设置 用户ID,
     * @param userIdNotList
     */
    public FavoritesBusinesscardQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
    }

    /**
     * 设置  名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardId
     */
    public FavoritesBusinesscardQuery bussinesscardId(Long bussinesscardId){
        setBussinesscardId(bussinesscardId);
        return this;
    }

    /**
     * 设置 开始 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdStart
     */
    public FavoritesBusinesscardQuery bussinesscardIdStart(Long bussinesscardIdStart){
        this.bussinesscardIdStart = bussinesscardIdStart;
        return this;
    }

    /**
     * 设置 结束 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdEnd
     */
    public FavoritesBusinesscardQuery bussinesscardIdEnd(Long bussinesscardIdEnd){
        this.bussinesscardIdEnd = bussinesscardIdEnd;
        return this;
    }

    /**
     * 设置 增加 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdIncrement
     */
    public FavoritesBusinesscardQuery bussinesscardIdIncrement(Long bussinesscardIdIncrement){
        this.bussinesscardIdIncrement = bussinesscardIdIncrement;
        return this;
    }

    /**
     * 设置 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdList
     */
    public FavoritesBusinesscardQuery bussinesscardIdList(List<Long> bussinesscardIdList){
        this.bussinesscardIdList = bussinesscardIdList;
        return this;
    }

    /**
     * 设置 名片ID, 关联到名片表中的ID，表示这是哪个名片的收藏
     * @param bussinesscardIdNotList
     */
    public FavoritesBusinesscardQuery bussinesscardIdNotList(List<Long> bussinesscardIdNotList){
        this.bussinesscardIdNotList = bussinesscardIdNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public FavoritesBusinesscardQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public FavoritesBusinesscardQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public FavoritesBusinesscardQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public FavoritesBusinesscardQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public FavoritesBusinesscardQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public FavoritesBusinesscardQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public FavoritesBusinesscardQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public FavoritesBusinesscardQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public FavoritesBusinesscardQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public FavoritesBusinesscardQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public FavoritesBusinesscardQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public FavoritesBusinesscardQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public FavoritesBusinesscardQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public FavoritesBusinesscardQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<FavoritesBusinesscardQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<FavoritesBusinesscardQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<FavoritesBusinesscardQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<FavoritesBusinesscardQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}